:root {
    --margin-inline: 10px;
    --tablet-margin-inline: 60px;
    --pc-margin-inline: 240px;
}
.breadcrums {
    margin-inline: var(--margin-inline);
}
.page-title {
    margin: 20px var(--margin-inline);
    font-family: Roboto, sans-serif !important;
    font-size: 16px;
    font-weight: 600;
    font-style: normal;
    text-transform: uppercase;
    color: #1a2745;
}

.filter-zone {
    margin-inline: var(--margin-inline);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 100;
}

.filter-inputs {
    --half-gap: 5px;
    display: flex;
    flex-wrap: wrap;
    gap: calc(var(--half-gap) * 2);
    width: 100%;
}

.filter-inputs .filter-group {
    flex-basis: calc(50% - var(--half-gap));
}

.filter-inputs .datepicker-textbox {
    background-color: #e0e0e0;
    color: #000000d9;
    display: flex;
    padding-inline: 5px;
    border-radius: 5px;
}

.filter-inputs .date-picker-inp {
    width: 100%;
    height: 100%;
    padding: 10px;
    color: #000000d9;
    font-size: 14px;
    line-height: 1.5715;
    font-weight: 700;
}

.filter-zone .filter-btn {
    width: 75%;
    background-color: #1a2745;
    color: #fff;
    border: none;
    margin-top: 10px;
    padding-block: 10px;
    font-size: 18px;
    border-radius: 5px;
    cursor: pointer;
}

.table-row {
    display: flex;
    --border-color: #e5e7eb;
    border: 1px solid var(--border-color);
    font-family: Roboto, sans-serif;
    margin-inline: var(--margin-inline);
}

.table-row > div {
    display: flex;
    align-items: center;
}

.price-table-header.table-row > div {
    flex-direction: column;
}

.price-table-header.table-row .title-unit {
    font-size: 12px;
    text-transform: none;
    font-weight: 400;
}
.table-row > div:nth-child(2) {
    width: 61px;
}
.table-row > div:nth-child(n+3) {
    width: 100px;
}

.table-row > div:not(:last-child) {
    border-right: 1px solid var(--border-color);
}

.table-row > div:first-child {
    width: calc(100% - 261px);
}

.price-table-header {
    background-color: #1A2745;
}

.price-table-header > div {
    font-size: 14px;
    text-transform: uppercase;
    justify-content: center;
    font-weight: 600;
    color: #fff;
    padding: 3px 1px;
}

.price-table-body .table-row {
    font-weight: 500;
    font-size: 12px;
}

.price-table-body .table-row:not(:last-child) {
    border-bottom: none;
}

.price-table-body .table-row > div:first-child {
    padding: 10px 1px 10px 10px;
}

.price-table-body .table-row > div:not(:first-child) {
    justify-content: center;
    font-size: 14px;
}

.price-table-body .table-row > div:nth-child(2) {
    font-size: 12px;
}

.price-table-body .table-row > div:nth-child(3) {
    color: #c42028;
}

.price-table-body .table-row > div:nth-child(4) {
    color: #028166;
}

.price-table-body .table-row:nth-child(odd) {
    background-color: #D1DAED59;
}

.note-content {
    margin-inline: var(--margin-inline);
}

.last-update {
    font-family: Roboto, sans-serif;
    font-weight: 400;
    color: #828282;
}

.price-note {
    display: flex;
    gap: 5px;
    align-items: center;
}

.price-note::before {
    --marker-size: 4px;
    content: '';
    width: var(--marker-size);
    height: var(--marker-size);
    border-radius: 50%;
    background-color: #000;
}

.border-price {
    margin-inline: var(--margin-inline);
}

.page-title.with-headline {
    margin-bottom: 0px;
}

.page-headline {
    margin-inline: var(--margin-inline);
}

.history-filter {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-inline: var(--margin-inline);
}

.history-date {
    width: 100%;
    border: 1px solid #d9d9d9;
    padding: 10px;
}

.history-data {
    font-family: Inter, sans-serif;
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 15px;
    margin-inline: var(--margin-inline);
}

.history-item {
    padding: 16px;
    border-radius: 5px;
    border: 1px solid #1a2745;
    display: flex;
    flex-direction: column;
    gap: .5rem;
}

.history-item .history-item-row {
    display: flex;
    justify-content: space-between;
}

.history-item .history-item-row .mobile-title {
    color: #1a2745;
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 600;
}

.history-item .history-item-row .history-price {
    color: #028166;
}

.hotline {
    margin-inline: var(--margin-inline);
    border-radius: 5px;
    overflow: hidden;
}

.title-unit {
    font-size: 12px;
}

.history-header {
    display: none;
}

.loading {
    opacity: 0.1;
}

@media (min-width: 768px) {
    .breadcrums {
        margin-inline: var(--tablet-margin-inline);
        font-size: 14px;
    }

    .page-title,
    .filter-zone,
    .change-rate-body,
    .last-price,
    .border-price,
    .table-row,
    .page-headline,
    .history-filter,
    .history-data,
    .note-content
     {
        margin-inline: var(--tablet-margin-inline);
    }

    .border-price {
        width: calc(100vw - var(--tablet-margin-inline) * 2);
    }
    
    .hotline {
        margin-inline: calc(var(--tablet-margin-inline) + 100px);
    }

    .about-company {
        display: none;
    }
}

@media (min-width: 1280px) {
    .about-company {
        display: block;
        margin-inline: var(--pc-margin-inline);
    }

     .breadcrums {
        margin-inline: var(--pc-margin-inline);
    }

    .page-title,
    .filter-zone,
    .change-rate-body,
    .last-price,
    .border-price,
    .table-row,
    .page-headline,
    .history-filter,
    .history-data
     {
        margin-inline: var(--pc-margin-inline);
    }

    .border-price {
        width: calc(100vw - var(--pc-margin-inline) * 2);
    }
    
    .hotline {
        margin-inline: var(--pc-margin-inline);
    }

    .page-title {
        font-size: 40px;
    }
    .filter-inputs {
        gap: 25px;
    }
    .filter-inputs .filter-group {
        display: flex;
        flex-basis: fit-content;
        align-items: center;
        gap: 20px;
    }

    .filter-inputs .datepicker-textbox {
        width: 320px;
    }
    .filter-group h3 {
        font-size: 24px;
        font-weight: 400;
    }

    .filter-zone {
        flex-direction: row;
        justify-content: space-between;
        align-items: stretch;
    }
    
    .filter-zone .filter-btn {
        flex-basis: 100px;
        margin-top: 0;
        padding: 0;
    }

    .price-table-header > div {
        font-size: 24px;
    }

    .table-row > div:not(:first-child) {
        width: 368px;
    }

    .table-row > div:first-child {
        width: calc(100% - 368px * 2);
    }

    .price-table-body .table-row > div, .price-table-body .table-row > div:not(:first-child) {
        font-size: 28px;
    }
    
    .note-content {
        display: flex;
        flex-direction: row-reverse;
        margin-inline: var(--pc-margin-inline);
        justify-content: space-between;
        font-size: 24px;
    }

    .page-headline {
        font-size: 24px;
    }

    .history-header, .history-data {
        --border-color: rgb(229 231 235);
        font-family: Roboto, sans-serif;
        font-weight: 500;
    }

    .history-header {
        display: block;
        margin-inline: var(--pc-margin-inline);
        border: 1px solid var(--border-color);
        background-color: #1A2745;
        color: #fff;
        margin-top: 8px;
    }

    .history-header-row {
        display: flex;
        padding: 0 16px;
    }

    .history-data {
        gap: 0;
        border: 1px solid var(--border-color);
        border-top: none;
        margin-top: 0;
    }

    .history-item .history-item-row .mobile-title {
        display: none;
    }

    .history-item {
        flex-direction: row;
        border-radius: 0;
        border-top: none;
        border-left: none;
        border-right: none;
        border-color: var(--border-color);
        padding: 0 16px;
        gap: 0;
    }

    .history-item:nth-child(odd) {
        background-color: #D1DAED59;
    }

    .history-item:last-child {
        border: none;
    }

    .history-item .history-item-row {
        padding: 16px 0;
        font-size: 28px;
        flex-basis: 25%;
    }

    .history-item .history-item-row:not(:last-child) {
        border-right: 1px solid var(--border-color);
    }

    .history-item .history-item-row:not(:first-child) {
        justify-content: center;
    }

    .history-header .pc-title {
        flex-basis: 25%;
        padding: 16px 0;
        font-size: 24px;
        text-transform: uppercase;
    }

    .history-header .pc-title:not(:last-child) {
        border-right: 1px solid var(--border-color);
    }

    .history-header .pc-title:not(:first-child) {
        text-align: center;
    }
}
